For the complete documentation index, see llms.txt. This page is also available as Markdown.

eth_getTransactionByHash - Robinhood

Example code for the eth_getTransactionByHash JSON-RPC method. Complete guide to using the eth_getTransactionByHash JSON-RPC method in GetBlock.io Web3 documentation.

Returns transaction details by hash. Returns null if the transaction does not exist or is not yet mined (use eth_getTransactionReceipt for confirmed-only queries).

Parameters

Parameter
Type
Required
Description

txHash

DATA (32 bytes)

Yes

Transaction hash

Request Example

curl --location --request POST 'https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getTransactionByHash",
    "params": [
        "0xa8f9b3c7d2e4f6a1b9c8d7e6f5a4b3c2d1e0f9a8b7c6d5e4f3a2b1c0d9e8f7a6"
    ],
    "id": "getblock.io"
}'
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "eth_getTransactionByHash",
    "params": [
        "0xa8f9b3c7d2e4f6a1b9c8d7e6f5a4b3c2d1e0f9a8b7c6d5e4f3a2b1c0d9e8f7a6"
    ],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://shared.us-east-1.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data, null, 2)))
    .catch(error => console.log(error));

Response Example

{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "blockHash": "0x8b5c6f1a9e8d7c6b5a4f3e2d1c0b9a8e7f6d5c4b3a2b1f9e8d7c6b5a4f3e2d1c",
        "blockNumber": "0x124f80",
        "from": "0x7a25d0f0Ff6a25f36De0a19C3d5f6dC2C6EAeD6a",
        "to": "0x9c8f0e4f8d2e7c6b5a4f3e2d1c0b9a8e7f6d5c4b",
        "gas": "0x5208",
        "gasPrice": "0x5f5e100",
        "maxFeePerGas": "0xba43b7400",
        "maxPriorityFeePerGas": "0x0",
        "hash": "0xa8f9b3c7d2e4f6a1b9c8d7e6f5a4b3c2d1e0f9a8b7c6d5e4f3a2b1c0d9e8f7a6",
        "input": "0xa9059cbb000000000000000000000000d8da6bf26964af9d7eed9e03e53415d37aa9604500000000000000000000000000000000000000000000000016345785d8a00000",
        "nonce": "0x42",
        "value": "0x0",
        "type": "0x2",
        "chainId": "0x1237",
        "transactionIndex": "0x0",
        "v": "0x0",
        "r": "0x1b5e176d927f8e9ab405058b2d2457392da3e20f328b16ddabcebc33eaac5fea",
        "s": "0x3094a6d52d77b6dc9c4f74e58fb50a76b80e3a8b1f47b9c8a3e2f0d6c5b4a3e9"
    }
}

Response Parameters

Field
Type
Description

result.hash

DATA

Transaction hash

result.from

DATA

Sender address

result.to

DATA

Recipient address; null for contract creation transactions

result.value

QUANTITY

ETH sent with the transaction in wei

result.gas

QUANTITY

Gas limit

result.gasPrice

QUANTITY

Gas price (legacy)

result.maxFeePerGas

QUANTITY

Max fee per gas (EIP-1559)

result.maxPriorityFeePerGas

QUANTITY

Max priority fee (EIP-1559)

result.input

DATA

Calldata

result.nonce

QUANTITY

Sender's transaction count at the time

result.blockHash

DATA

Block hash; null if not yet mined

result.blockNumber

QUANTITY

Block number; null if pending

result.chainId

QUANTITY

Chain ID — 0x1237 on Robinhood Chain mainnet

result.type

QUANTITY

Transaction type — 0x0 (legacy), 0x1 (EIP-2930), 0x2 (EIP-1559)

Use Cases

  • Reading transaction details after submission

  • Wallet transaction history

  • Replaying or reconstructing transactions

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid <ACCESS-TOKEN>

-32602

Invalid params

Request parameters are missing or malformed

-32603

Internal error

Server-side error while processing the request

429

Too Many Requests

Rate limit exceeded for your plan

SDK Integration

Last updated

Was this helpful?